searchNodes=[{"doc":"Generates a Software Bill-of-Materials (SBoM) in CycloneDX format. Options --output ( -o ): the full path to the SBoM output file (default: bom.xml) --force ( -f ): overwrite existing files without prompting for confirmation --dev ( -d ): include dependencies for non-production environments (including dev , test or docs ); by default only dependencies for MIX_ENV=prod are returned --recurse ( -r ): in an umbrella project, generate individual output files for each application, rather than a single file for the entire project --schema ( -s ): schema version to be used, defaults to &quot;1.2&quot;.","ref":"Mix.Tasks.Sbom.Cyclonedx.html","title":"Mix.Tasks.Sbom.Cyclonedx","type":"task"},{"doc":"Collect dependency information for use in a Software Bill-of-Materials (SBOM).","ref":"SBoM.html","title":"SBoM","type":"module"},{"doc":"Builds a SBoM for the current Mix project. The result can be exported to CycloneDX XML format using the SBoM.CycloneDX module. Pass an environment of nil to include dependencies across all environments. Wrap the call to this function with Mix.Project.in_project/3,4 to select a Mix project by path.","ref":"SBoM.html#components_for_project/1","title":"SBoM.components_for_project/1","type":"function"},{"doc":"Generate a CycloneDX SBoM in XML format.","ref":"SBoM.CycloneDX.html","title":"SBoM.CycloneDX","type":"module"},{"doc":"Generate a CycloneDX SBoM in XML format from the specified list of components. Returns an iolist , which may be written to a file or IO device, or converted to a String using IO.iodata_to_binary/1 If no serial number is specified a random UUID is generated.","ref":"SBoM.CycloneDX.html#bom/2","title":"SBoM.CycloneDX.bom/2","type":"function"},{"doc":"Generates a Software Bill-of-Materials (SBoM) for Mix projects, in CycloneDX format. Full documentation can be found at https://hexdocs.pm/sbom . For a quick demo of how this might be used, check out this blog post .","ref":"readme.html","title":"SBoM","type":"extras"},{"doc":"To install the Mix task globally on your system, run mix archive.install hex sbom . Alternatively, the package can be added to a project's dependencies to make the Mix task available for that project only: def deps do [ { :sbom , &quot;~&gt; 0.6&quot; , only : :dev , runtime : false } ] end","ref":"readme.html#installation","title":"SBoM - Installation","type":"extras"},{"doc":"To produce a CycloneDX SBoM, run mix sbom.cyclonedx from the project directory. The result is written to a file named bom.xml , unless a different name is specified using the -o option. By default only the dependencies used in production are included. To include all dependencies, including those for the 'dev' and 'test' environments, pass the -d command line option: mix sbom.cyclonedx -d . Note that MIX_ENV does not affect which dependencies are included in the output; the task should normally be run in the default (dev) environment For more information on the command line arguments accepted by the Mix task run mix help sbom.cyclonedx .","ref":"readme.html#usage","title":"SBoM - Usage","type":"extras"},{"doc":"This tool only considers Hex, GitHub and BitBucket dependencies managed through Mix. To build a comprehensive SBoM of a deployment, including NPM and/or operating system packages, it may be necessary to merge multiple CycloneDX files into one. The @cyclonedx/bom tool on NPM can not only generate an SBoM for your JavaScript assets, but it can also merge in the output of the 'sbom.cyclonedx' Mix task and other scanners, through the '-a' option, producing a single CycloneDX XML file.","ref":"readme.html#npm-packages-and-other-dependencies","title":"SBoM - NPM packages and other dependencies","type":"extras"}]